> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ref.scoutos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ref.scoutos.com/_mcp/server.

# Get a collection by ID.

GET https://api.scoutos.com/v2/collections/{collection_id}

Reference: https://ref.scoutos.com/api-sdk/endpoints/collections/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `collection_id` (string, required)

## Response

### 200

Successful Response

- `data` (Collection, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Collection

- `collection_config` (CollectionConfig, required)
- `last_updated_at` (datetime, required)
- `created_at` (datetime, required)
- `created_by` (LegacyIdentity, required)
- `last_updated_by` (LegacyIdentity, required)
- `collection_id` (string, required)
- `revision_id` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### CollectionConfig

- `collection_display_name` (string, optional, default: Untitled)
- `collection_img_url` (string, optional, nullable)
- `collection_description` (string, optional, nullable)
- `tags` (list of string, optional)
- `table_order` (list of string, optional)

### LegacyIdentity

- `type` (enum, required)
  - Allowed values: `user`, `api_key`, `system`
- `details` (LegacyIdentityDetails, required, nullable)

### ValidationErrorLocItems

- string
- integer

### LegacyIdentityDetails

- UserIdentityDetails: UserIdentityDetails
- ApiKeyIdentityDetails: ApiKeyIdentityDetails

### UserIdentityDetails

- `user_id` (string, required)
- `org_id` (string, required)
- `scout_organization_id` (string, required)
- `email` (map from string to any, required)

### ApiKeyIdentityDetails

- `api_key` (map from string to any, optional)

## Examples

**Response**

```json
{
  "data": {
    "collection_config": {
      "collection_display_name": "Spring Art Showcase",
      "collection_img_url": "https://example.com/images/spring-art-showcase.jpg",
      "collection_description": "A curated collection of contemporary spring-themed artworks from emerging artists.",
      "tags": [
        "art",
        "spring",
        "contemporary",
        "exhibition"
      ]
    },
    "last_updated_at": "2024-01-15T09:30:00Z",
    "created_at": "2024-01-15T09:30:00Z",
    "created_by": {
      "type": "user",
      "details": {
        "api_key": {}
      }
    },
    "last_updated_by": {
      "type": "user",
      "details": {
        "api_key": {}
      }
    },
    "collection_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "revision_id": "rev-20240115-001"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.scoutos.com/v2/collections/collection_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript
import { ScoutClient } from "scoutos";

const client = new ScoutClient({ apiKey: "YOUR_API_KEY" });
await client.collections.get("collection_id");

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.scoutos.com/v2/collections/collection_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.scoutos.com/v2/collections/collection_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.scoutos.com/v2/collections/collection_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.scoutos.com/v2/collections/collection_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.scoutos.com/v2/collections/collection_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.scoutos.com/v2/collections/collection_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```